jQuery(document).ready(function ($) {
    function togglePagePlacementDropdown() {
        if ($('input[name="affied_inject_location"]:checked').val() === 'pages') {
            $('#affied_page_placement').show();
        } else {
            $('#affied_page_placement').hide();
        }
    }

    // Initial toggle
    togglePagePlacementDropdown();

    // Toggle on change
    $('input[name="affied_inject_location"]').change(togglePagePlacementDropdown);
});

$('.affied-help').on('click', function () {
    var key = $(this).data('key');
    var message = '';

    switch (key) {
        case 'posts':
            message = 'If "In Posts Below Content" is selected, the widget will be injected below the content of posts.';
            break;
        case 'pages':
            message = 'If "In Pages" is selected, the widget will be injected either below the header or above the footer based on the selected placement.';
            break;
        case 'sidebar':
            message = 'If "In Sidebar" is selected, the widget will be injected into the sidebar.';
            break;
    }

    alert(message);
});


jQuery(document).ready(function ($) {
    var navbar = $('.navbar');
    var sticky = navbar.offset().top;

    $(window).scroll(function () {
        if (window.pageYOffset >= sticky) {
            navbar.addClass("sticky");
        } else {
            navbar.removeClass("sticky");
        }
    });
});
